• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • iPhone OS 3.1 - All you need to know
    <iframe src="http://www.zumodrive.com/photo/embed/Yk2OTQ3Mz" width="450" height="300" frameborder="0"></iframe>

    It's been quite a while since Apple released the OS 3.1 for iPhone and there's been a lot of confusion regarding it's Jailbreak Status etc. Therefore, here's a summary of do's and dont's
    • According to ChronicDev, the 3.1 GM seed is still vulnerable.
    • It has been confirmed by MuscleNerd from DevTeam that iTunes 9 doesn't interfere with jailbreaking so you can update iTunes <s>but make sure that you do not update your device firmware to 3.1 yet if you want to jailbreak</s>. UPDATE: Jailbreak for OS 3.1 has been released but for the iPhone 2G, iPhone 3G and iPod Touch 1G ONLY and NOT iPhone 3GS, iPod Touch 2G and iPod Touch 3G! Therefore, update only if you have older hardware
    • Saurik confirms once you update to 3.1, there's <s>no way to downgrade</s> to an earlier version as iTunes no longer signs the older firmware. Therefore, if you do not have your ECID information saved, <s>you're completely stuck</s>! For those who have the information saved, there should be a solution out soon. UPDATE: 3.1 can now be downgraded to 3.0 but remember, the baseband is not downgraded along with the firmware, so you might still be permanently locked even though you can now jailbreak 3.1 in future.
    • The new firmware also includes a new baseband which means none of the current unlocking tools will work. Therefore, if you upgrade an iPhone 3G with bootloader newer than 5.8 or an iPhone 3GS, there are chances that your device might get permanently locked.

    Verdict: If you EVER want to jailbreak and unlock your iPhone 3G / iPhone 3GS again, DO NOT UPDATE YET!
    This article was originally published in forum thread: iPhone OS 3.1 - All you need to know started by sayam View original post
    Comments 220 Comments
    1. NormanRmrz's Avatar
      NormanRmrz -
      Thanks For Pointing That Out dhruvmalik.
      But The Only Reason i Told Him He Was Okay Was Because He Hadnt Asked me About Jailbreaking Specifically, but just upgrading In general. And I Felt I Had Stressed The Fact Of Not Upgrading At All If you Want To Jailbreak In My lengthy Post (#46)

      Either Way Thanks For That Clarification.

      -NormanRmrz

      Quote Originally Posted by khaledelfeki View Post
      Dhruvmalik, Thanks for your help.
      Actually I'm having an iphone 3g and not 3gs. Will it make any difference? I mean the GB??

      Thanks again.
      Yes It Does Make A Difference.
      Since you have An iPhone 3G, You Wont Have To Worry About Half the Things Dhruvmalik Said.
      Just Wait until The Firmware is Jailbroken, And you'll Be good
    1. mastuul's Avatar
      mastuul -
      Wow, every time there's a new release it's as if the same messages are copied and pasted onto every iPhone site. Thank God I learned how to read when I was a small boy. ;-) It's fun to reminisce about the good old days when there was no QuickPwn and jailbreaking/unlocking was a more difficult process.

      ATTENTION NEW IPHONE USERS:

      READ EVERYTHING YOU CAN BEFORE (yes before) YOU DO ANYTHING!
    1. DarkoNova's Avatar
      DarkoNova -
      Quote Originally Posted by Sayam View Post
      It's been quite a while since Apple released the OS 3.1 for iPhone.
      What? It's been 4 days. No wonder there's so many noobs that update and then ask "WHY???!!", you're so impatient. Not even a week and it's been "quite a while", lmao.

      Matt
    1. dhruvmalik's Avatar
      dhruvmalik -
      No Harm No Foul. And once again Norman I didnt mean any disrespect.

      @Khaledelfeki, you still should wait a few more days till we just get a better understanding of whats essential for 3.1 JBing. Currently, you should not update, even though you are running a 3G factory unlocked, 3.1 might require additional prerequisites for jailbreaking.

      The simplest way to put this, if the Dev Team says go ahead, then do so at your will but if they state over and over again to hold off, then lets hold off as they are the ones who provide us with the utility to JB.

      ~~And as far as thanking goes, dont mention it. Its our right to help those in need. You can be kind enough to hit that thanks button under my post.


      If I Helped. Please Hit Thanks!
    1. geo411m's Avatar
      geo411m -
      Quote Originally Posted by dhruvmalik View Post
      Uhh. NOO WAIT!!!. If you have a iPhone 3GS Factory Unlocked, Just like the one i ordered a few days ago with 3.0 on it, you are still in a limbo. DO NOT UPDATE to 3.1. Having it Factory Unlocked ony will allow you to use any carrier, not give you the freedom of Jailbreaking. I haven't received my 3GS yet and am stuck as I have not captured my iBSS/iBEC files (Haven't received it yet). Like always, wait till the Dev Team gives the go ahead to update, safely. Now the advantage for us is that we can allow the baseband to update without it locking up on us as we dont need to have the exploit the dev teams uses for carrier locked phones.

      I truly hope you didnt update. please wait till others comment on your post before updating. No disrespect to NormanRmrz, but please do not give someone the go ahead without knowing the facts. He can stay unlocked but doesn't necessarily mean be able to JB.

      If I Helped. Please Hit Thanks!
      I also purchased a Factory unlocked phone and it should be arriving early next week. So the new jailbreak may only be for 3GS'ers who backed up their iBSS/iBEC files? That would suck because I have purchased quite a bit of Cydia store apps and my 1st gen iPhone has been slowing down due to it. Hopefully this isn't the end of jailbrakes for the 3GS.
    1. khaledelfeki's Avatar
      khaledelfeki -
      NormanRmz, and Dhruvmalik. Thank you very much for your assistance.
      Will hold till the dev. team releases a JB solution as per your advice.

      Regards,
    1. dhruvmalik's Avatar
      dhruvmalik -
      Quote Originally Posted by geo411m View Post
      I also purchased a Factory unlocked phone and it should be arriving early next week. So the new jailbreak may only be for 3GS'ers who backed up their iBSS/iBEC files? That would suck because I have purchased quite a bit of Cydia store apps and my 1st gen iPhone has been slowing down due to it. Hopefully this isn't the end of jailbrakes for the 3GS.
      Hey Geo,

      As I stated earlier, its unclear if we will require those iBEC and iBSS files. One thing I did read in this post which was from stealthbravo stating that the new Pwnage Tool 3.1 will not require those files but might for future updates. (Thanks goes to the Man.)

      So atleast we are safe for 3.1, But once again once we have received word from the Dev Team and the utility is released.

      --If I Helped, Please Hit Thanks!--
    1. geo411m's Avatar
      geo411m -
      Quote Originally Posted by dhruvmalik View Post
      Hey Geo,

      As I stated earlier, its unclear if we will require those iBEC and iBSS files. One thing I did read in this post which was from stealthbravo stating that the new Pwnage Tool 3.1 will not require those files but might for future updates. (Thanks goes to the Man.)

      So atleast we are safe for 3.1, But once again once we have received word from the Dev Team and the utility is released.

      --If I Helped, Please Hit Thanks!--
      So if that's true, we may be able to get those files during our updates to 3.1. Either way thanks for the info. I guess we'll just wait and see.
    1. smuggler's Avatar
      smuggler -
      man I just can't believe how many lazy people there are in this forum, or people who are clueless to the jailbreak not gailbreak process. the lazy f*ckers should read up before you post redundant questions. i'd say there are only a handful of mmi users with some competant knowledge, and they're not the ones freaking out posting on here. there's plenty of literature out there in the realm of google that'll answer your dumbass questions. how many times do people have to say don't upgrade if you're a 3gs user? how many times do we have to say you can't retrieve the essential files anymore 'cause you can't restore to 3.0 or 3.0.1 with a 3gs. I'm not saying I know it all, but all it took was a little reading, which I recommend most folks on this site do before they ask questions with obvious answers. you shouldn't be jailbreaking your phone if you can't even google a little information. sheeeeesh. I feel better now that I got that off my chest. now on to the UGA game in Athens, ga.

      I'm happy to hear the good news about a possible vulnerabilty in 3.1, even tho it doesn't seem that great to even upgrade to, except for mms for AT&T customers.
    1. nimavafi's Avatar
      nimavafi -
      #greenpois0n
    1. dhruvmalik's Avatar
      dhruvmalik -
      Quote Originally Posted by geo411m View Post
      So if that's true, we may be able to get those files during our updates to 3.1. Either way thanks for the info. I guess we'll just wait and see.
      I am not sure if 3.1 will allow us to grab those files, everything points to NO so far but theoretically it should work. Pray we get some good news. Due the unfortunate timing of our purchase making decision & spending more for a 'Factory Unlocked" version, we still have to struggle for the iBSS/iBEC file.

      --If I Helped, Please Hit Thanks!--
    1. confucious's Avatar
      confucious -
      The files are only needed to enable you to restore an earlier version of the FW. If you have signed 3.0x files you will be able to restore a FW 3.0x FW which will probably be necessary to restore a custom FW with the 3.0 BB in order to use UltraSn0w when pwnage for 3.1 is released.
      That is, of course, assuming they can get pwnage working with 3.1 on the 3GS
    1. HarlemState's Avatar
      HarlemState -
      Can you downgrade 3.1 firmware with any old version of itunes?
    1. geo411m's Avatar
      geo411m -
      Word on the street is that iH8sn0w has figured out how to get your iBSS and iBEC files. here's the tweet with details: iH8sn0w (iH8sn0w) on Twitter Again, we'll have to wait and see.
    1. dhruvmalik's Avatar
      dhruvmalik -
      Thanks Geo, if they have found an exploit to recreate your iBSS/iBEC file then I am sure we should have it available to us soon. Either case we cant do anything until the 3.1 JB is available to us.

      --If I Helped, Please Hit Thanks!--

      Quote Originally Posted by HarlemState View Post
      Can you downgrade 3.1 firmware with any old version of itunes?
      Hi Harlem,

      No you cannot downgrade 3.1 at all or known to us till now. Even with an older version of iTunes, you will still run into apple's server's rejecting your installation to 3.0 or 3.0.1.

      --If I Helped, Please Hit Thanks!--
    1. clikzip's Avatar
      clikzip -
      I upgraded to 3.1, then tried to downgrade in iTunes 9, restored but when it came back up with the sync with iTunes on my phone I got an error in iTunes that a problem occured with the restore..
    1. JamesRubin's Avatar
      JamesRubin -
      "if you do not have your ECID information saved"

      Hello,

      What is ECID information and what do I have to do to save it?

      No I will not update.
    1. sbeaver's Avatar
      sbeaver -
      I came across this saying this company has the 3.1 jailbreak and wanted to see if anyone have heard of them.
    1. StealthBravo's Avatar
      StealthBravo -
      Do not link to those scammers.
    1. sbeaver's Avatar
      sbeaver -
      Quote Originally Posted by StealthBravo View Post
      Do not link to those scammers.
      That is why I wanted to ask here. My bad and sorry